コンテンツへスキップ

クラウドランタイムを起動

Request

ブラウザプロファイルをクラウドランタイムとして起動します。ブラウザはこのコンピューターではなく、MoreLogin のインフラストラクチャ上で実行されます。

起動は非同期です。成功レスポンスは、起動リクエストが受け付けられたことだけを示します。 cloudBrowserStatusRUNNING になるまで クラウドランタイムの一覧をポーリングし、その後 クラウドランタイムに接続を呼び出してください。

メンバーが各プロファイルで保持できるアクティブな実行は 1 つだけです。起動時には、プロファイル権限、 機能の利用資格、プロキシ接続、カーネルの可用性、AI クレジット残高も検証されます。

Bodyapplication/jsonrequired
envIdstring(EnvironmentId)^[1-9]\d*$required

Browser profile (environment) ID. Serialized as a decimal string to avoid JavaScript precision loss on 64-bit integers.

Example:"1800000000000001"
POST
/api/cloudbrowser/start
curl -i -X POST \
  http://127.0.0.1:40000/api/cloudbrowser/start \
  -H 'Content-Type: application/json' \
  -d '{
    "envId": "1800000000000001"
  }'

Responses

Success

Bodyapplication/json
codeintegerrequired

Return result code. 0 means success; other codes indicate exceptions.

Example:0
msgstring or nullrequired

Error message. Usually null on success.

Example:null
requestIdstring

Operation request ID. This field may be present when the request passes through the API gateway.

Example:"1d4f3ea968664593860b94b35d4ebf5e"
datanull
Example:null
Response
{ "code": 0, "msg": null, "requestId": "1d4f3ea968664593860b94b35d4ebf5e", "data": null }